Package it.ernytech.tdlib

## Class TdApi.ChatEventDescriptionChanged

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.ChatEventAction
    - - it.ernytech.tdlib.TdApi.ChatEventDescriptionChanged

Enclosing class:
  TdApi

    public static class TdApi.ChatEventDescriptionChanged
    extends TdApi.ChatEventAction

The chat description was changed.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `newDescription` New chat description.
`java.lang.String` `oldDescription` Previous chat description.

### Constructor Summary

Constructors
`ChatEventDescriptionChanged()` Default constructor.
`ChatEventDescriptionChanged​(java.lang.String oldDescription, java.lang.String newDescription)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### oldDescription

    public java.lang.String oldDescription

Previous chat description.

#### newDescription

    public java.lang.String newDescription

New chat description.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### ChatEventDescriptionChanged

    public ChatEventDescriptionChanged()

Default constructor.

#### ChatEventDescriptionChanged

    public ChatEventDescriptionChanged​(java.lang.String oldDescription,
                                       java.lang.String newDescription)

Constructor for initialization of all fields.

Parameters:
  `oldDescription` - Previous chat description.
  `newDescription` - New chat description.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR